using System;
using System.Threading;
using System.Text;
using System.IO.Ports;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using GHI.Pins;


namespace PANDA_3_XBee_E
{
    public class Program
    {
        public static void Main()
        {
            // Documentation de la classe SerialPort http://msdn.microsoft.com/en-us/library/system.io.ports.serialport(v=vs.102).aspx
            var i = 0; // Valeur  transmettre

            // Emetteur
            // Cration d'un port srie pour la communication avec le module XBEE. XBEE_RX sur Di0 et XBEE_TX sur Di1.
            SerialPort xbee_E = new SerialPort(FEZPandaIII.SerialPort.Com1, 9600, Parity.None, 8, StopBits.One);

            // Cration d'une chane de caractre et d'un buffer d'mission
            string counter_string;
            byte[] outBuffer;

            xbee_E.Open(); // Ouverture du port srie

            while (true)
            {
                for (i = 0; i <= 65535; i++)
                { // \n = LF (dlimite la fin de la donne transmise)
                    counter_string = i.ToString() + "\n";
                    outBuffer = Encoding.UTF8.GetBytes(counter_string);
                    xbee_E.Write(outBuffer, 0, outBuffer.Length);
                    Thread.Sleep(2000); // Envoi de la valeur toutes les 2s
                }
            }
        }
    }
}
